var distance = 0;
var api_key = '<?php echo $api_key;?>';
var source, destination;
var directionsDisplay;
var directionsService = new google.maps.DirectionsService();
    google.maps.event.addDomListener(window, 'load', function () {
        new google.maps.places.SearchBox(document.getElementById('txtSource'));
        new google.maps.places.SearchBox(document.getElementById('txtDestination'));
        directionsDisplay = new google.maps.DirectionsRenderer({ 'draggable': true });
    });

    function WprbpGetRoute() {
		jQuery("#dvMap").addClass('map_area');
        var mumbai = new google.maps.LatLng(18.9750, 72.8258);
        var mapOptions = {
            zoom: 7,
            center: mumbai
        };
        map = new google.maps.Map(document.getElementById('dvMap'), mapOptions);
        directionsDisplay.setMap(map);
       
        //*********DIRECTIONS AND ROUTE**********************//
        source = document.getElementById("txtSource").value;
        destination = document.getElementById("txtDestination").value;

        var request = {
            origin: source,
            destination: destination,
            travelMode: google.maps.TravelMode.DRIVING
        };
        directionsService.route(request, function (response, status) {
            if (status == google.maps.DirectionsStatus.OK) {
                directionsDisplay.setDirections(response);
            }
        });

        //*********DISTANCE AND DURATION**********************//
        var service = new google.maps.DistanceMatrixService();
        if(d_unit=='METRIC'){
            var unit_system = google.maps.UnitSystem.METRIC;
        }else{
            var unit_system = google.maps.UnitSystem.IMPERIAL;
        }
        service.getDistanceMatrix({
            origins: [source],
            destinations: [destination],
            travelMode: google.maps.TravelMode.DRIVING,
            unitSystem: unit_system,
            avoidHighways: false,
            avoidTolls: false                         
        }, function (response, status) {
            if (status == google.maps.DistanceMatrixStatus.OK && response.rows[0].elements[0].status != "ZERO_RESULTS") {
                    distance = response.rows[0].elements[0].distance.text;                  
                    var dvDistance = document.getElementById("dvDistance");
                    var travelschedule = jQuery("#datetimepicker").val();
                    dvDistance.innerHTML = "";
                    var pdata = "action=ride_price&distance="+distance+"&traveldate="+travelschedule;
					jQuery.ajax({
						url: wprbp_ajaxurl,
						data: pdata,
						type: 'POST',
						success:function(response){		
							var obj = jQuery.parseJSON(response);
                            jQuery('#distance').html(distance);
							jQuery('#rate_per_distance').html(obj.currency+''+ obj.rate); 
                            jQuery('#travel-date').html(travelschedule);          
							jQuery('#total_price').html(obj.currency+''+ obj.total_rate);
                            jQuery('#ride_col').addClass('ride_col-dis');					                               
                            jQuery('.source').val(source);
                            jQuery('.destination').val(destination);
                            jQuery('.distance').val(distance);
                            jQuery('.traveldate').val(travelschedule);
                            jQuery('.total_price').val(obj.total_rate);
		                }
			})		
            } else {
                    alert("Unable to find the distance via road.");
            }
        });
    }
        
 function WprbpAddtocart(){
    var source = jQuery('.source').val();
    var destination = jQuery('.destination').val();
    var distance = jQuery('.distance').val();
    var travelschedule = jQuery('.traveldate').val();
    var total_rate = jQuery('.total_price').val();
    jQuery.ajax({
        url: wprbp_ajaxurl,
        data: 'action=send_data_to_cart&origin='+[source]+'&destination='+[destination]+'&distance='+distance+'&travelschedule='+travelschedule+'&total_price='+total_rate,
        type: 'POST',
        success: function(data){
        jQuery(".cart-success-message").remove();
        var obj = jQuery.parseJSON(data);
        jQuery('table.wpride-wrapper').append('<div class="cart-success-message">'+obj.message+' <a href="'+obj.cart_url+'">'+objectL10n.viewcart+'</a></div>');
        }
    })       
}       
jQuery(document).ready(function(){
    jQuery('.form_datetime').datetimepicker('setDate', new Date());
});   