<?php
    @session_start();
function wprbp_shortcode() {
	$button_txt = sanitize_text_field(get_option('calculate_button_txt'));
	if($button_txt==''){
	    $button_txt = __('Submit','wp-ride-booking-pro');
	}
	$map_height = esc_attr(get_option('ride_map_height'));
    $distance_unit = get_option("ride_distance_unit");  
	$header_footer_bg_color = esc_attr(get_option('ride_header_footer_bg_color'));
	$ride_text_color = esc_attr(get_option('ride_text_color'));
	$submit_button_bg_color = esc_attr(get_option('ride_submit_button_bg_color'));
	$button_bg_hover_color = esc_attr(get_option('ride_button_bg_hover_color'));
    $product_id = esc_attr(get_option('ride_product_id'));
  
    return '<table border="0" cellpadding="0" cellspacing="3" width="100%" class="wpride-wrapper">
        <tr>
            <td colspan="4">
			<form class="ride-input-form">
                <div class="txtbox">
					<span>'.__("Source :", "wp-ride-booking-pro").'</span>
                	<input type="text" id="txtSource" name="txtSource" value="" placeholder="'.__("Source location","wp-ride-booking-pro").'"/>
				</div>
				<div class="txtbox">
					<span>'.__("Destination :", "wp-ride-booking-pro").'</span>
					<input type="text" id="txtDestination" name="txtDestination" value="" placeholder="'.__("Destination location","wp-ride-booking-pro").'"/>
				</div>
                <div class="txtbox">
                    <span>'.__("Booking Date & Time :", "wp-ride-booking-pro").'</span>
                    <div class="input-append date form_datetime" data-date="1979-09-16T05:25:07Z" data-date-format="dd M,yyyy - HH:ii P" data-link-field="dtp_input1">
                    <input size="22" type="text" id="datetimepicker" name="booking-schedule" value="" readonly>
                    <span class="add-on"><i class="icon-remove"></i></span>
                    <span class="add-on"><i class="icon-th"></i></span>
                    </div>
                </div>
                <input type="button" class="button" value="'.__($button_txt).'" onclick="WprbpGetRoute()" placeholder="'.__("Get Route","wp-ride-booking-pro").'" />
			</form>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                <div id="dvDistance">
                </div>
            </td>
        </tr>
        <tr>
            <td colspan="4"><style>.map_area{height:'.$map_height.'px;}</style>
                <div id="dvMap">
                </div>
            </td>
        </tr>
		<tr class="ride_cal" id="ride_col" style="display:none">
        <input type="hidden" class="source" value=""/>
        <input type="hidden" class="destination" value=""/>
        <input type="hidden" class="traveldate" value=""/>
        <input type="hidden" class="distance" name="distance" value=""/>
        <input type="hidden" class="total_price" name="total_price" value=""/>
		<td>'.__("Per ","wp-ride-booking-pro").$distance_unit.__(" rate","wp-ride-booking-pro").'<span id="rate_per_distance"></span></td>
        <td>'.__("Distance : ","wp-ride-booking-pro").'<span  id="distance"></span></td>
        <td>'.__("Datetime of Travel : ","wp-ride-booking-pro").'<span id="travel-date"></span></td>
		<td>'.__("Total Rate : ","wp-ride-booking-pro").'<span id="total_price"> </span></td>
        <td colspan="3" class="cart-button-section"><input type="button" class="button cart-button" value="'.__("Add to cart","wp-ride-booking-pro").'" onclick="WprbpAddtocart()"></td>
		</tr>
		
    </table><style>.ride-input-form, .ride_cal.ride_col-dis{background:'.$header_footer_bg_color.'!important; color:'.$ride_text_color.';}.ride-input-form .txtbox span {color:'.$ride_text_color.';}.ride-input-form .button, .ride_cal td.cart-button-section input,.cart-success-message{background:'.$submit_button_bg_color.'; color:'.$ride_text_color.';}.ride-input-form .button:hover{background:'.$button_bg_hover_color.';}</style>';
		
}
 
function wprbp_register_shortcode() {
    add_shortcode( 'wp-ride-booking-pro', 'wprbp_shortcode' );
} 
add_action( 'init', 'wprbp_register_shortcode' );
?>